Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt

Use this file to discover all available pages before exploring further.

List exchange partners

This section contains information on how to retrieve the list of exchange partners that are supported by Dwolla. Each exchange partner will have a unique ID that’s used to identify them on the Dwolla Platform. Exchange partners are returned within an _embedded list of exchange-partners, sorted by creation date, with the most recent exchange partners appearing last.

HTTP request

GET https://api.dwolla.com/exchange-partners

HTTP status and error codes

HTTP StatusCodeDescription
200OkThe Dwolla API accepted the request and returned a response.

Request and response

GET https://api.dwolla.com/exchange-partners
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

...

{
    "_links": {
        "self": {
            "href": "https://api.dwolla.com/exchange-partners",
            "type": "application/vnd.dwolla.v1.hal+json",
            "resource-type": "exchange-partner"
        }
    },
    "_embedded": {
        "exchange-partners": [
            {
                "_links": {
                    "self": {
                        "href": "https://api.dwolla.com/exchange-partners/a12a48fe-65b6-4b09-9419-715ce39ca40c",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    },
                    "funding-source": {
                        "href": "https://api.dwolla.com/funding-sources",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "funding-source"
                    }
                },
                "id": "a12a48fe-65b6-4b09-9419-715ce39ca40c",
                "name": "Finicity",
                "status": "active",
                "created": "2022-05-24T18:09:56.012Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.dwolla.com/exchange-partners/2164407f-33c3-4555-a6a1-40d5e9e58744",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    },
                    "funding-source": {
                        "href": "https://api.dwolla.com/funding-sources",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "funding-source"
                    }
                },
                "id": "2164407f-33c3-4555-a6a1-40d5e9e58744",
                "name": "MX",
                "status": "active",
                "created": "2022-09-14T15:15:21.922Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.dwolla.com/exchange-partners/a0b22a57-68df-4450-b507-47c937e64e89",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    },
                    "funding-source": {
                        "href": "https://api.dwolla.com/funding-sources",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "funding-source"
                    }
                },
                "id": "a0b22a57-68df-4450-b507-47c937e64e89",
                "name": "Flinks",
                "status": "active",
                "created": "2023-05-15T14:43:47.615Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.dwolla.com/exchange-partners/f53ffb32-c84f-496a-9d9d-acd100d396ef",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    },
                    "funding-source": {
                        "href": "https://api.dwolla.com/funding-sources",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "funding-source"
                    }
                },
                "id": "f53ffb32-c84f-496a-9d9d-acd100d396ef",
                "name": "Plaid",
                "status": "active",
                "created": "2023-11-08T17:22:09.717Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.dwolla.com/exchange-partners/2d36c06f-e283-49d8-829f-d4941a73fd6a",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    },
                    "funding-source": {
                        "href": "https://api.dwolla.com/funding-sources",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "funding-source"
                    }
                },
                "id": "2d36c06f-e283-49d8-829f-d4941a73fd6a",
                "name": "Visa",
                "status": "active",
                "created": "2024-06-25T15:15:22.837Z"
            }
        ]
    },
    "total": 5
}
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_partners = app_token.get "exchange-partners"
exchange_partners._embedded['exchange-partners'][0].id # => "292317ec-e252-47d8-93c3-2d128e037aa4"
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$exchangePartnersApi = new ExchangepartnersApi($apiClient);

$exchangePartners = $exchangePartnersApi->_list();
$exchangePartners->_embedded->{"exchange-partners"}[0]->id; # => "292317ec-e252-47d8-93c3-2d128e037aa4"
?>
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_partners = app_token.get('exchange-partners')
exchange_partners.body['_embedded']['exchange-partners'][0]['id'] # => '292317ec-e252-47d8-93c3-2d128e037aa4'
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
  .get("exchange-partners")
  .then((res) => res.body._embedded["exchange-partners"][0].id); // => '292317ec-e252-47d8-93c3-2d128e037aa4'